/*
	A simple demonstration of Structure Synth.
*/

set maxdepth 20
R1
{ y 4 } R2
{ y 8 } R3
{ y 12 } R4
{ y 16 } R5
{ y 20 } R6A

rule R1 maxdepth 8 {
  { x 1 rz 0 ry 10 s 1.2 h 20 } R1
  sphere
}


rule R2 maxdepth 8 {
{ x 1 rz 0 ry 10 s 1.2 h 20 } R2
box
}

rule R3  maxdepth 8  {
{ x 1 rz 0 ry 10 s 1.2 h 20 } R3
dot
}

rule R4  maxdepth 8  {
{ x 1 rz 0 ry 10 s 1.2 h 20 } R4
line
}

rule R5  maxdepth 8 > R1 {
{ x 1 rz 0 ry 10 s 1.2 h 20 } R5
grid
}

rule R6A {
  {y 0 ry 90 rz 90 } R6
}

rule R6   maxdepth 3  {
{ z 1 rz 0 rx 10 s 1.2 h 20 } R6
mesh
}